package com.sw.mes.fb.accessory.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.accessory.dto.*;
import com.sw.mes.fb.accessory.entity.FbEquipmentAccessory;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FbEquipmentAccessoryService extends BaseService<FbEquipmentAccessory> {
    void createMonitor(FbEquipmentAccessoryCreatDto createDto);

    void updateMonitor(FbEquipmentAccessoryUpdateDto updateDto);

    FbEquipmentAccessory findByGoodsCodeAndDeleted(String goodsCode, Integer deleted);

    Page<Map<String, Object>> newListByPage(NewAccessoryListByPageParamDto paramDto, Pageable pageable);

    NewAccessoryDto getById(Long id);

    Page<Map<String, Object>> jdjhl(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> jdjhlDetail(FbAccessoryReportDetailParamDto paramDto);

    Page<Map<String, Object>> jdjqgx(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> jdjqgxDetail(FbAccessoryReportDetailParamDto paramDto);

    Page<Map<String, Object>> mxjsl(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> mxjslDetail(FbAccessoryReportDetailParamDto paramDto);

    Page<Map<String, Object>> mxjxzsl(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> mxjxzslDetail(FbAccessoryReportDetailParamDto paramDto);

    Page<Map<String, Object>> qfjhl(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> qfjhlDetail(FbAccessoryReportDetailParamDto paramDto);

    Page<Map<String, Object>> qfjqgx(FbAccessoryReportParamDto paramDto, Pageable pageable);

    List<Map<String, Object>> qfjqgxDetail(FbAccessoryReportDetailParamDto paramDto);
}
